"use strict";
/*
 * SPDX-FileCopyrightText: 2021 Zextras <https://www.zextras.com>
 *
 * SPDX-License-Identifier: AGPL-3.0-only
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AppContextProvider = void 0;
const react_1 = __importDefault(require("react"));
const app_error_catcher_1 = require("./app-error-catcher");
const module_i18next_provider_1 = require("../module-i18next-provider");
/**
 * Provide all the base providers of an app (e.g. i18n)
 * @param pkg - The app key of the module
 * @param children -
 */
const AppContextProvider = ({ pkg, children }) => (react_1.default.createElement(module_i18next_provider_1.ModuleI18nextProvider, { pkg: pkg },
    react_1.default.createElement(app_error_catcher_1.AppErrorCatcher, null, children)));
exports.AppContextProvider = AppContextProvider;
//# sourceMappingURL=app-context-provider.js.map