import { getEditSettingsForApp } from '../../network/edit-settings';
import { getSoapFetch, getXmlSoapFetch } from '../../network/fetch';
import type { AppActions as StoreAppSetters } from '../../store/app';
import { getApp, getAppContext, getAppContextHook, getAppHook } from '../../store/app';
import { addBoard } from '../../store/boards';
import { getI18n, getTFunction } from '../../store/i18n/hooks';
import type { IntegrationActions } from '../../store/integrations/store';
import type { AppRouteDescriptor, BoardView, CarbonioModule, PrimaryAccessoryView, SecondaryAccessoryView, SettingsView, UtilityView } from '../../types/apps';
export type AppDependantExports = {
    setAppContext: ReturnType<StoreAppSetters['setAppContext']>;
    addRoute: (data: Partial<AppRouteDescriptor>) => ReturnType<StoreAppSetters['addRoute']>;
    addBoardView: (data: Omit<BoardView, 'app'>) => ReturnType<StoreAppSetters['addBoardView']>;
    addSettingsView: (data: Partial<SettingsView>) => ReturnType<StoreAppSetters['addSettingsView']>;
    addUtilityView: (data: Partial<UtilityView>) => ReturnType<StoreAppSetters['addUtilityView']>;
    addPrimaryAccessoryView: (data: Partial<PrimaryAccessoryView>) => ReturnType<StoreAppSetters['addPrimaryAccessoryView']>;
    addSecondaryAccessoryView: (data: Partial<SecondaryAccessoryView>) => ReturnType<StoreAppSetters['addSecondaryAccessoryView']>;
    registerComponents: ReturnType<IntegrationActions['registerComponents']>;
    editSettings: ReturnType<typeof getEditSettingsForApp>;
    getI18n: ReturnType<typeof getI18n>;
    t: ReturnType<typeof getTFunction>;
    soapFetch: ReturnType<typeof getSoapFetch>;
    xmlSoapFetch: ReturnType<typeof getXmlSoapFetch>;
    useAppContext: ReturnType<typeof getAppContextHook>;
    getAppContext: ReturnType<typeof getAppContext>;
    useApp: ReturnType<typeof getAppHook>;
    getApp: ReturnType<typeof getApp>;
    addBoard: ReturnType<typeof addBoard>;
};
export declare const getAppDependantExports: (pkg: CarbonioModule) => AppDependantExports;
