export { useAction, useActions, useIntegratedComponent, useIntegratedFunction } from '../../store/integrations/hooks';
export { getAction, getActions, getIntegratedComponent, getIntegratedFunction } from '../../store/integrations/getters';
export declare const registerFunctions: (...items: Array<{
    id: string;
    fn: import("../../utils/typeUtils").AnyFunction;
}>) => void, removeFunctions: (...ids: Array<string>) => void, registerActions: <TAction extends import("../../lib").Action = import("../../lib").Action>(...items: Array<{
    id: string;
    action: import("../../types/integrations").ActionFactory<unknown, TAction>;
    type: string;
}>) => void, removeActions: (...ids: Array<string>) => void, removeComponents: (...ids: Array<string>) => void;
export { getUserAccount, getUserAccounts, getUserSetting, getUserSettings, useUserAccount, useUserAccounts, useUserSetting, useUserSettings, useUserRight, useUserRights, getUserRight, getUserRights, useAuthenticated, updateSettings, updateAccount } from '../../store/account';
export { useNotify, useRefresh } from '../../store/network';
export { closeBoard, updateBoard, updateBoardContext, getBoardById, getBoardContextById, useBoardContextById, useBoardById, useBoard, minimizeBoards, expandBoards, reopenBoards, setCurrentBoard, useBoardHooks } from '../../store/boards';
export { useCurrentRoute } from '../../history/hooks';
export { getNotificationManager } from '../../notification/NotificationManager';
export { useLocalStorage } from '../../shell/hooks/useLocalStorage';
export declare const updatePrimaryBadge: (badge: Partial<import("../../lib").BadgeInfo>, id: string) => void, setRouteVisibility: (id: string, visible: boolean) => void, removeRoute: (id: string) => void, removeBoardView: (id: string) => void, removeSettingsView: (id: string) => void, removeUtilityView: (id: string) => void, removePrimaryAccessoryView: (id: string) => void, removeSecondaryAccessoryView: (id: string) => void, 
/**
 * Add or update the translatable display label for an app.
 * These fields are the ones used in the UI.
 * @param app - The app to update based on the name field
 * @example
 * upsertApp(\{
 *     name: 'carbonio-example-ui',
 *     display: t('label.app_name', 'Example')
 * \});
 */
upsertApp: (app: Pick<import("../../types/apps").CarbonioModule, "name" | "display">) => void;
export { useIsCarbonioCE } from '../../store/login/hooks';
export type { NewAction } from '../../shell/creation-button';
export type { AccountMenuAction } from '../../utility-bar/bar';
export { useTracker } from '../../tracker/tracker';
export { AppContextProvider } from './app-context-provider';
export type { AuthGuardProps } from '../../ui-extras/auth-guard';
export { AuthGuard } from '../../ui-extras/auth-guard';
export { soapFetchV2 } from '../../network/fetch';
