"use strict";
/*
 * SPDX-FileCopyrightText: 2024 Zextras <https://www.zextras.com>
 *
 * SPDX-License-Identifier: AGPL-3.0-only
 */
var _a, _b;
Object.defineProperty(exports, "__esModule", { value: true });
exports.removeBoardView = exports.removeRoute = exports.setRouteVisibility = exports.updatePrimaryBadge = exports.useLocalStorage = exports.getNotificationManager = exports.useCurrentRoute = exports.useBoardHooks = exports.setCurrentBoard = exports.reopenBoards = exports.expandBoards = exports.minimizeBoards = exports.useBoard = exports.useBoardById = exports.useBoardContextById = exports.getBoardContextById = exports.getBoardById = exports.updateBoardContext = exports.updateBoard = exports.closeBoard = exports.useRefresh = exports.useNotify = exports.updateAccount = exports.updateSettings = exports.useAuthenticated = exports.getUserRights = exports.getUserRight = exports.useUserRights = exports.useUserRight = exports.useUserSettings = exports.useUserSetting = exports.useUserAccounts = exports.useUserAccount = exports.getUserSettings = exports.getUserSetting = exports.getUserAccounts = exports.getUserAccount = exports.removeComponents = exports.removeActions = exports.registerActions = exports.removeFunctions = exports.registerFunctions = exports.getIntegratedFunction = exports.getIntegratedComponent = exports.getActions = exports.getAction = exports.useIntegratedFunction = exports.useIntegratedComponent = exports.useActions = exports.useAction = void 0;
exports.soapFetchV2 = exports.AuthGuard = exports.AppContextProvider = exports.useTracker = exports.useIsCarbonioCE = exports.upsertApp = exports.removeSecondaryAccessoryView = exports.removePrimaryAccessoryView = exports.removeUtilityView = exports.removeSettingsView = void 0;
const app_1 = require("../../store/app");
const store_1 = require("../../store/integrations/store");
var hooks_1 = require("../../store/integrations/hooks");
Object.defineProperty(exports, "useAction", { enumerable: true, get: function () { return hooks_1.useAction; } });
Object.defineProperty(exports, "useActions", { enumerable: true, get: function () { return hooks_1.useActions; } });
Object.defineProperty(exports, "useIntegratedComponent", { enumerable: true, get: function () { return hooks_1.useIntegratedComponent; } });
Object.defineProperty(exports, "useIntegratedFunction", { enumerable: true, get: function () { return hooks_1.useIntegratedFunction; } });
var getters_1 = require("../../store/integrations/getters");
Object.defineProperty(exports, "getAction", { enumerable: true, get: function () { return getters_1.getAction; } });
Object.defineProperty(exports, "getActions", { enumerable: true, get: function () { return getters_1.getActions; } });
Object.defineProperty(exports, "getIntegratedComponent", { enumerable: true, get: function () { return getters_1.getIntegratedComponent; } });
Object.defineProperty(exports, "getIntegratedFunction", { enumerable: true, get: function () { return getters_1.getIntegratedFunction; } });
_a = store_1.useIntegrationsStore.getState(), exports.registerFunctions = _a.registerFunctions, exports.removeFunctions = _a.removeFunctions, exports.registerActions = _a.registerActions, exports.removeActions = _a.removeActions, exports.removeComponents = _a.removeComponents;
var account_1 = require("../../store/account");
Object.defineProperty(exports, "getUserAccount", { enumerable: true, get: function () { return account_1.getUserAccount; } });
Object.defineProperty(exports, "getUserAccounts", { enumerable: true, get: function () { return account_1.getUserAccounts; } });
Object.defineProperty(exports, "getUserSetting", { enumerable: true, get: function () { return account_1.getUserSetting; } });
Object.defineProperty(exports, "getUserSettings", { enumerable: true, get: function () { return account_1.getUserSettings; } });
Object.defineProperty(exports, "useUserAccount", { enumerable: true, get: function () { return account_1.useUserAccount; } });
Object.defineProperty(exports, "useUserAccounts", { enumerable: true, get: function () { return account_1.useUserAccounts; } });
Object.defineProperty(exports, "useUserSetting", { enumerable: true, get: function () { return account_1.useUserSetting; } });
Object.defineProperty(exports, "useUserSettings", { enumerable: true, get: function () { return account_1.useUserSettings; } });
Object.defineProperty(exports, "useUserRight", { enumerable: true, get: function () { return account_1.useUserRight; } });
Object.defineProperty(exports, "useUserRights", { enumerable: true, get: function () { return account_1.useUserRights; } });
Object.defineProperty(exports, "getUserRight", { enumerable: true, get: function () { return account_1.getUserRight; } });
Object.defineProperty(exports, "getUserRights", { enumerable: true, get: function () { return account_1.getUserRights; } });
Object.defineProperty(exports, "useAuthenticated", { enumerable: true, get: function () { return account_1.useAuthenticated; } });
Object.defineProperty(exports, "updateSettings", { enumerable: true, get: function () { return account_1.updateSettings; } });
Object.defineProperty(exports, "updateAccount", { enumerable: true, get: function () { return account_1.updateAccount; } });
var network_1 = require("../../store/network");
Object.defineProperty(exports, "useNotify", { enumerable: true, get: function () { return network_1.useNotify; } });
Object.defineProperty(exports, "useRefresh", { enumerable: true, get: function () { return network_1.useRefresh; } });
var boards_1 = require("../../store/boards");
Object.defineProperty(exports, "closeBoard", { enumerable: true, get: function () { return boards_1.closeBoard; } });
Object.defineProperty(exports, "updateBoard", { enumerable: true, get: function () { return boards_1.updateBoard; } });
Object.defineProperty(exports, "updateBoardContext", { enumerable: true, get: function () { return boards_1.updateBoardContext; } });
Object.defineProperty(exports, "getBoardById", { enumerable: true, get: function () { return boards_1.getBoardById; } });
Object.defineProperty(exports, "getBoardContextById", { enumerable: true, get: function () { return boards_1.getBoardContextById; } });
Object.defineProperty(exports, "useBoardContextById", { enumerable: true, get: function () { return boards_1.useBoardContextById; } });
Object.defineProperty(exports, "useBoardById", { enumerable: true, get: function () { return boards_1.useBoardById; } });
Object.defineProperty(exports, "useBoard", { enumerable: true, get: function () { return boards_1.useBoard; } });
Object.defineProperty(exports, "minimizeBoards", { enumerable: true, get: function () { return boards_1.minimizeBoards; } });
Object.defineProperty(exports, "expandBoards", { enumerable: true, get: function () { return boards_1.expandBoards; } });
Object.defineProperty(exports, "reopenBoards", { enumerable: true, get: function () { return boards_1.reopenBoards; } });
Object.defineProperty(exports, "setCurrentBoard", { enumerable: true, get: function () { return boards_1.setCurrentBoard; } });
Object.defineProperty(exports, "useBoardHooks", { enumerable: true, get: function () { return boards_1.useBoardHooks; } });
var hooks_2 = require("../../history/hooks");
Object.defineProperty(exports, "useCurrentRoute", { enumerable: true, get: function () { return hooks_2.useCurrentRoute; } });
var NotificationManager_1 = require("../../notification/NotificationManager");
Object.defineProperty(exports, "getNotificationManager", { enumerable: true, get: function () { return NotificationManager_1.getNotificationManager; } });
var useLocalStorage_1 = require("../../shell/hooks/useLocalStorage");
Object.defineProperty(exports, "useLocalStorage", { enumerable: true, get: function () { return useLocalStorage_1.useLocalStorage; } });
_b = app_1.useAppStore.getState(), exports.updatePrimaryBadge = _b.updatePrimaryBadge, exports.setRouteVisibility = _b.setRouteVisibility, exports.removeRoute = _b.removeRoute, exports.removeBoardView = _b.removeBoardView, exports.removeSettingsView = _b.removeSettingsView, exports.removeUtilityView = _b.removeUtilityView, exports.removePrimaryAccessoryView = _b.removePrimaryAccessoryView, exports.removeSecondaryAccessoryView = _b.removeSecondaryAccessoryView, 
/**
 * Add or update the translatable display label for an app.
 * These fields are the ones used in the UI.
 * @param app - The app to update based on the name field
 * @example
 * upsertApp(\{
 *     name: 'carbonio-example-ui',
 *     display: t('label.app_name', 'Example')
 * \});
 */
exports.upsertApp = _b.upsertApp;
var hooks_3 = require("../../store/login/hooks");
Object.defineProperty(exports, "useIsCarbonioCE", { enumerable: true, get: function () { return hooks_3.useIsCarbonioCE; } });
var tracker_1 = require("../../tracker/tracker");
Object.defineProperty(exports, "useTracker", { enumerable: true, get: function () { return tracker_1.useTracker; } });
var app_context_provider_1 = require("./app-context-provider");
Object.defineProperty(exports, "AppContextProvider", { enumerable: true, get: function () { return app_context_provider_1.AppContextProvider; } });
var auth_guard_1 = require("../../ui-extras/auth-guard");
Object.defineProperty(exports, "AuthGuard", { enumerable: true, get: function () { return auth_guard_1.AuthGuard; } });
var fetch_1 = require("../../network/fetch");
Object.defineProperty(exports, "soapFetchV2", { enumerable: true, get: function () { return fetch_1.soapFetchV2; } });
//# sourceMappingURL=app-direct-exports.js.map