import type { DynamicThemeFix } from 'darkreader';
export declare const SHELL_APP_ID = "carbonio-shell-ui";
export declare const SETTINGS_APP_ID = "settings";
export declare const ACTION_TYPES: {
    readonly NEW: "new";
    readonly ACCOUNT_MENU: "account_menu";
};
export declare const darkReaderDynamicThemeFixes: DynamicThemeFix;
export declare const IS_FOCUS_MODE: boolean;
export declare const BASENAME: string;
export declare const EMAIL_VALIDATION_REGEX: RegExp;
export declare const DARK_READER_VALUES: readonly ["auto", "enabled", "disabled"];
export declare const LOCAL_STORAGE_SETTINGS_KEY = "settings";
export declare const LOCAL_STORAGE_LAST_PRIMARY_KEY = "config";
export declare const LOCAL_STORAGE_BOARD_SIZE = "board_size";
export declare const SCALING_OPTIONS: readonly [{
    readonly value: 75;
    readonly label: "xs";
}, {
    readonly value: 87.5;
    readonly label: "s";
}, {
    readonly value: 100;
    readonly label: "m";
}, {
    readonly value: 112.5;
    readonly label: "l";
}, {
    readonly value: 125;
    readonly label: "xl";
}];
export declare const BASE_FONT_SIZE = 100;
export declare const SCALING_LIMIT: {
    readonly width: 1400;
    readonly height: 900;
    readonly dpr: 2;
};
export declare const LOGIN_V3_CONFIG_PATH = "/zx/login/v3/config";
export declare const HEADER_BAR_HEIGHT = "3.75rem";
export declare const PRIMARY_BAR_WIDTH = "3.0625rem";
export declare const BOARD_HEADER_HEIGHT = "3rem";
export declare const BOARD_TAB_WIDTH = "calc(3rem + 15ch)";
export declare const BOARD_CONTAINER_ZINDEX = 10;
export declare const BOARD_MIN_VISIBILITY: {
    top: number;
    left: number;
};
export declare const DELEGATED_SEND_SAVE_TARGET: string[];
export declare const CUSTOM_EVENTS: {
    readonly updateView: "updateView";
};
export declare const JSNS: {
    readonly account: "urn:zimbraAccount";
    readonly admin: "urn:zimbraAdmin";
    readonly mail: "urn:zimbraMail";
    readonly all: "urn:zimbra";
    readonly sync: "urn:zimbraSync";
};
