"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.JSNS = exports.CUSTOM_EVENTS = exports.DELEGATED_SEND_SAVE_TARGET = exports.BOARD_MIN_VISIBILITY = exports.BOARD_CONTAINER_ZINDEX = exports.BOARD_TAB_WIDTH = exports.BOARD_HEADER_HEIGHT = exports.PRIMARY_BAR_WIDTH = exports.HEADER_BAR_HEIGHT = exports.LOGIN_V3_CONFIG_PATH = exports.SCALING_LIMIT = exports.BASE_FONT_SIZE = exports.SCALING_OPTIONS = exports.LOCAL_STORAGE_BOARD_SIZE = exports.LOCAL_STORAGE_LAST_PRIMARY_KEY = exports.LOCAL_STORAGE_SETTINGS_KEY = exports.DARK_READER_VALUES = exports.EMAIL_VALIDATION_REGEX = exports.BASENAME = exports.IS_FOCUS_MODE = exports.darkReaderDynamicThemeFixes = exports.ACTION_TYPES = exports.SETTINGS_APP_ID = exports.SHELL_APP_ID = void 0;
exports.SHELL_APP_ID = 'carbonio-shell-ui';
exports.SETTINGS_APP_ID = 'settings';
exports.ACTION_TYPES = {
    NEW: 'new',
    ACCOUNT_MENU: 'account_menu'
};
exports.darkReaderDynamicThemeFixes = {
    ignoreImageAnalysis: ['.no-dr-invert *'],
    invert: [],
    css: `
		.tox, .force-white-bg, .tox-swatches-menu, .tox .tox-edit-area__iframe {
			background-color: #fff !important;
			background: #fff !important;
		}
	`,
    ignoreInlineStyle: ['.tox-menu *'],
    disableStyleSheetsProxy: false
};
const base = '/carbonio';
const focusModeBase = `${base}/focus-mode`;
exports.IS_FOCUS_MODE = window.location.pathname.startsWith(focusModeBase);
exports.BASENAME = exports.IS_FOCUS_MODE ? focusModeBase : base;
exports.EMAIL_VALIDATION_REGEX = 
// eslint-disable-next-line @typescript-eslint/no-unused-vars, max-len, no-control-regex
/(?:[a-z0-9!#$%&'*+/=?^_`{|}~-]+(?:\.[a-z0-9!#$%&'*+/=?^_`{|}~-]+)*|"(?:[\x01-\x08\x0b\x0c\x0e-\x1f\x21\x23-\x5b\x5d-\x7f]|\\[\x01-\x09\x0b\x0c\x0e-\x7f])*")@(?:(?:[a-z0-9](?:[a-z0-9-]*[a-z0-9])?\.)+[a-z0-9](?:[a-z0-9-]*[a-z0-9])?|\[(?:(?:25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.){3}(?:25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?|[a-z0-9-]*[a-z0-9]:(?:[\x01-\x08\x0b\x0c\x0e-\x1f\x21-\x5a\x53-\x7f]|\\[\x01-\x09\x0b\x0c\x0e-\x7f])+)\])/;
exports.DARK_READER_VALUES = ['auto', 'enabled', 'disabled'];
exports.LOCAL_STORAGE_SETTINGS_KEY = 'settings';
exports.LOCAL_STORAGE_LAST_PRIMARY_KEY = 'config';
exports.LOCAL_STORAGE_BOARD_SIZE = 'board_size';
exports.SCALING_OPTIONS = [
    { value: 75, label: 'xs' },
    { value: 87.5, label: 's' },
    { value: 100, label: 'm' },
    { value: 112.5, label: 'l' },
    { value: 125, label: 'xl' }
];
exports.BASE_FONT_SIZE = 100;
exports.SCALING_LIMIT = {
    width: 1400,
    height: 900,
    dpr: 2 // device pixel ratio
};
exports.LOGIN_V3_CONFIG_PATH = '/zx/login/v3/config';
exports.HEADER_BAR_HEIGHT = '3.75rem';
exports.PRIMARY_BAR_WIDTH = '3.0625rem';
exports.BOARD_HEADER_HEIGHT = '3rem';
exports.BOARD_TAB_WIDTH = 'calc(3rem + 15ch)';
exports.BOARD_CONTAINER_ZINDEX = 10;
exports.BOARD_MIN_VISIBILITY = {
    top: 50,
    left: 30
};
exports.DELEGATED_SEND_SAVE_TARGET = ['owner', 'sender', 'both', 'none'];
exports.CUSTOM_EVENTS = { updateView: 'updateView' };
exports.JSNS = {
    account: 'urn:zimbraAccount',
    admin: 'urn:zimbraAdmin',
    mail: 'urn:zimbraMail',
    all: 'urn:zimbra',
    sync: 'urn:zimbraSync'
};
//# sourceMappingURL=index.js.map