"use strict";
/*
 * SPDX-FileCopyrightText: 2021 Zextras <https://www.zextras.com>
 *
 * SPDX-License-Identifier: AGPL-3.0-only
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.logout = logout;
const fetch_utils_1 = require("./fetch-utils");
const utils_1 = require("./utils");
const constants_1 = require("../constants");
const store_1 = require("../store/login/store");
async function logout() {
    try {
        await (0, fetch_utils_1.soapFetch)('EndSession', {
            _jsns: constants_1.JSNS.account,
            logoff: true
        });
        await fetch('/logout', { redirect: 'manual' });
    }
    catch (error) {
        console.error(error);
    }
    finally {
        const customLogoutUrl = store_1.useLoginConfigStore.getState().carbonioWebUiLogoutURL;
        customLogoutUrl ? (0, utils_1.goTo)(customLogoutUrl) : (0, utils_1.goToLogin)();
    }
}
//# sourceMappingURL=logout.js.map