"use strict";
/*
 * SPDX-FileCopyrightText: 2022 Zextras <https://www.zextras.com>
 *
 * SPDX-License-Identifier: AGPL-3.0-only
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || (function () {
    var ownKeys = function(o) {
        ownKeys = Object.getOwnPropertyNames || function (o) {
            var ar = [];
            for (var k in o) if (Object.prototype.hasOwnProperty.call(o, k)) ar[ar.length] = k;
            return ar;
        };
        return ownKeys(o);
    };
    return function (mod) {
        if (mod && mod.__esModule) return mod;
        var result = {};
        if (mod != null) for (var k = ownKeys(mod), i = 0; i < k.length; i++) if (k[i] !== "default") __createBinding(result, mod, k[i]);
        __setModuleDefault(result, mod);
        return result;
    };
})();
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SettingsHeader = void 0;
const react_1 = __importStar(require("react"));
const carbonio_design_system_1 = require("@zextras/carbonio-design-system");
const react_router_dom_1 = require("react-router-dom");
const styled_components_1 = __importDefault(require("styled-components"));
const hooks_1 = require("../../store/i18n/hooks");
const nav_guard_1 = require("../../ui-extras/nav-guard");
const CustomBreadcrumbs = (0, styled_components_1.default)(carbonio_design_system_1.Breadcrumbs) `
	.breadcrumbCrumb {
		cursor: default;
	}
`;
const SettingsHeader = ({ onSave, onCancel, isDirty, title }) => {
    const t = (0, hooks_1.getT)();
    const [searchParams] = (0, react_router_dom_1.useSearchParams)();
    const section = (0, react_1.useMemo)(() => searchParams.get('section'), [searchParams]);
    const crumbs = (0, react_1.useMemo)(() => [
        {
            id: 'settings',
            label: t('settings.app', 'Settings'),
            className: 'breadcrumbCrumb'
        },
        {
            id: 'general',
            label: title,
            className: 'breadcrumbCrumb'
        }
    ], [t, title]);
    (0, react_1.useEffect)(() => {
        if (section) {
            setTimeout(() => document.getElementById(section)?.scrollIntoView(), 1);
        }
    }, [section]);
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(nav_guard_1.RouteLeavingGuard, { when: isDirty, onSave: onSave },
            react_1.default.createElement(carbonio_design_system_1.Text, null, t('label.unsaved_changes_line1', 'Are you sure you want to leave this page without saving?')),
            react_1.default.createElement(carbonio_design_system_1.Text, null, t('label.unsaved_changes_line2', 'All your unsaved changes will be lost'))),
        react_1.default.createElement(carbonio_design_system_1.Container, { orientation: "vertical", mainAlignment: "space-around", background: 'gray5', height: "fit" },
            react_1.default.createElement(carbonio_design_system_1.Row, { orientation: "horizontal", width: "100%" },
                react_1.default.createElement(carbonio_design_system_1.Row, { padding: { all: 'small' }, mainAlignment: "flex-start", width: "50%", crossAlignment: "flex-start" },
                    react_1.default.createElement(CustomBreadcrumbs, { crumbs: crumbs })),
                react_1.default.createElement(carbonio_design_system_1.Row, { padding: { all: 'small' }, width: "50%", mainAlignment: "flex-end", crossAlignment: "flex-end" },
                    react_1.default.createElement(carbonio_design_system_1.Padding, { right: "small" },
                        react_1.default.createElement(carbonio_design_system_1.Button, { label: t('label.discard_changes', 'DISCARD CHANGES'), onClick: onCancel, color: "secondary", disabled: !isDirty })),
                    react_1.default.createElement(carbonio_design_system_1.Button, { label: t('label.save', 'Save'), color: "primary", onClick: onSave, disabled: !isDirty })))),
        react_1.default.createElement(carbonio_design_system_1.Divider, null)));
};
exports.SettingsHeader = SettingsHeader;
//# sourceMappingURL=settings-header.js.map