import type React from 'react';
type LocalStorageOptions = {
    keepSyncedWithStorage?: boolean;
};
type LocalStorageState = {
    storage: Record<string, unknown>;
    readValue: <T>(key: string, fallback: T) => void;
    setValue: <T>(key: string, value: React.SetStateAction<T>) => void;
};
export declare function useLocalStorage<T>(key: string, initialValue: T, options?: LocalStorageOptions): [T, React.Dispatch<React.SetStateAction<T>>];
export declare const exportForTest: {
    useLocalStorageStore: import("zustand").UseBoundStore<import("zustand").StoreApi<LocalStorageState>> | undefined;
};
export {};
