"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.updateAccount = exports.updateSettings = void 0;
/*
 * SPDX-FileCopyrightText: 2024 Zextras <https://www.zextras.com>
 *
 * SPDX-License-Identifier: AGPL-3.0-only
 */
const lodash_1 = require("lodash");
const store_1 = require("./store");
const utils_1 = require("./utils");
const updateSettings = (settingsMods) => store_1.useAccountStore.setState((state) => ({
    ...state,
    settings: {
        attrs: (0, utils_1.mergeAttrs)(settingsMods.attrs, state),
        prefs: (0, utils_1.mergePrefs)(settingsMods.prefs, state),
        props: (0, utils_1.mergeProps)(settingsMods.props, state)
    }
}));
exports.updateSettings = updateSettings;
const updateAccount = ({ identities, signatures }) => store_1.useAccountStore.setState((state) => state.account
    ? {
        ...state,
        account: {
            ...state.account,
            ...(identities
                ? {
                    displayName: (0, lodash_1.find)(identities?.identitiesMods?.modifyList, (item) => item.id === state?.account?.id)?.prefs.zimbraPrefIdentityName ?? state.account?.displayName,
                    identities: {
                        identity: (0, utils_1.updateIdentities)(state, identities.identitiesMods, identities.newIdentities) ?? []
                    }
                }
                : {}),
            ...(signatures ? { signatures: { signature: signatures } } : {})
        }
    }
    : state);
exports.updateAccount = updateAccount;
//# sourceMappingURL=updaters.js.map