"use strict";
/*
 * SPDX-FileCopyrightText: 2021 Zextras <https://www.zextras.com>
 *
 * SPDX-License-Identifier: AGPL-3.0-only
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.useRoutes = exports.getAppContext = exports.getAppContextHook = exports.getApp = exports.useAppList = exports.useApps = exports.getAppHook = void 0;
const react_1 = require("react");
const lodash_1 = require("lodash");
const store_1 = require("./store");
const getAppHook = (appId) => () => (0, store_1.useAppStore)((s) => s.apps[appId]);
exports.getAppHook = getAppHook;
const useApps = () => (0, store_1.useAppStore)((s) => s.apps);
exports.useApps = useApps;
const useAppList = () => {
    const apps = (0, exports.useApps)();
    return (0, react_1.useMemo)(() => (0, lodash_1.sortBy)(apps, (a) => a.priority), [apps]);
};
exports.useAppList = useAppList;
const getApp = (appId) => () => store_1.useAppStore.getState().apps[appId];
exports.getApp = getApp;
const getAppContextHook = (appId) => () => (0, store_1.useAppStore)((s) => s.appContexts[appId]);
exports.getAppContextHook = getAppContextHook;
const getAppContext = (appId) => () => store_1.useAppStore.getState().appContexts[appId];
exports.getAppContext = getAppContext;
const useRoutes = () => (0, store_1.useAppStore)((s) => s.routes);
exports.useRoutes = useRoutes;
//# sourceMappingURL=hooks.js.map