import type { Board } from '../../types/boards';
export type BoardState = {
    orderedBoards: Array<string>;
    boards: Record<string, Board>;
    expanded: boolean;
    minimized: boolean;
    current?: string;
};
export declare const useBoardStore: import("zustand").UseBoundStore<import("zustand").StoreApi<BoardState>>;
export declare const addBoard: (app: string) => <T = unknown>(board: Omit<Board<T>, "app" | "icon" | "id"> & {
    id?: string;
    icon?: string;
}, expanded?: BoardState["expanded"]) => Board;
export declare const closeBoard: (id: string) => void;
export declare const closeAllBoards: () => void;
export declare const onGoToPanel: () => void;
export declare const minimizeBoards: () => void;
export declare const reopenBoards: () => void;
export declare const expandBoards: () => void;
export declare const reduceBoards: () => void;
export declare const setCurrentBoard: (id: string) => void;
export declare const updateBoard: <T = unknown>(id: string, board: Partial<Board<T>>) => void;
export declare const updateBoardContext: <T = unknown>(id: string, context: T) => void;
