import React from 'react';
import type { IAllProps as EditorProps } from '@tinymce/tinymce-react';
import type { TinyMCE } from 'tinymce/tinymce';
import 'tinymce/models/dom';
import 'tinymce/themes/silver';
import 'tinymce/icons/default';
import 'tinymce/skins/ui/oxide/skin.min.css';
import 'tinymce/plugins/advlist';
import 'tinymce/plugins/anchor';
import 'tinymce/plugins/autolink';
import 'tinymce/plugins/autoresize';
import 'tinymce/plugins/charmap';
import 'tinymce/plugins/code';
import 'tinymce/plugins/directionality';
import 'tinymce/plugins/fullscreen';
import 'tinymce/plugins/help';
import 'tinymce/plugins/image';
import 'tinymce/plugins/insertdatetime';
import 'tinymce/plugins/link';
import 'tinymce/plugins/lists';
import 'tinymce/plugins/media';
import 'tinymce/plugins/preview';
import 'tinymce/plugins/quickbars';
import 'tinymce/plugins/searchreplace';
import 'tinymce/plugins/table';
import 'tinymce/plugins/visualblocks';
import 'tinymce/plugins/wordcount';
type ComposerProps = EditorProps & {
    /** The callback invoked when an edit is performed into the editor. `([text, html]) => {}` */
    onEditorChange?: (values: [string, string]) => void;
    /** Enable the distraction-free mode */
    inline?: boolean;
    /** The initial content of the editor */
    initialValue?: EditorProps['initialValue'];
    /** The content of the editor (controlled mode) */
    value?: EditorProps['value'];
    /**
     * Callback called when user choose some file from the os.
     * If defined, a menu item to add inline images is added to the composer.
     */
    onFileSelect?: (arg: {
        editor: TinyMCE;
        files: HTMLInputElement['files'] | undefined;
    }) => void;
    customInitOptions?: Partial<EditorProps['init']>;
};
export declare const FileInput: import("styled-components/dist/types").IStyledComponentBase<"web", import("styled-components").FastOmit<React.DetailedHTMLProps<React.InputHTMLAttributes<HTMLInputElement>, HTMLInputElement>, never>> & string;
declare const Composer: ({ onEditorChange, onFileSelect, inline, value, initialValue, customInitOptions, ...rest }: ComposerProps) => React.JSX.Element;
export default Composer;
