"use strict";
/*
 * SPDX-FileCopyrightText: 2021 Zextras <https://www.zextras.com>
 *
 * SPDX-License-Identifier: AGPL-3.0-only
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.getAction = exports.getActions = exports.getIntegratedComponent = exports.getIntegratedFunction = void 0;
const store_1 = require("./store");
const utils_1 = require("./utils");
const getIntegratedFunction = (id) => {
    const integration = store_1.useIntegrationsStore.getState().functions?.[id];
    return integration
        ? [integration, true]
        : [(() => undefined), false];
};
exports.getIntegratedFunction = getIntegratedFunction;
const getIntegratedComponent = (id) => {
    const integration = store_1.useIntegrationsStore.getState().components?.[id];
    return (0, utils_1.buildIntegrationComponent)(integration);
};
exports.getIntegratedComponent = getIntegratedComponent;
const getActions = (context, type) => {
    const factories = store_1.useIntegrationsStore.getState().actions[type];
    return (0, utils_1.buildIntegrationActions)(factories, context);
};
exports.getActions = getActions;
const getAction = (type, id, target) => {
    const factory = store_1.useIntegrationsStore.getState().actions[type]?.[id];
    return (0, utils_1.buildIntegrationAction)(factory, target);
};
exports.getAction = getAction;
//# sourceMappingURL=getters.js.map