"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.useLogo = useLogo;
exports.useIsCarbonioCE = useIsCarbonioCE;
const react_1 = require("react");
const store_1 = require("./store");
const carbonio_svg_1 = __importDefault(require("../../../assets/carbonio.svg"));
const use_dark_mode_1 = require("../../dark-mode/use-dark-mode");
function useLogo() {
    const carbonioWebUiAppLogo = (0, store_1.useLoginConfigStore)((s) => s.carbonioWebUiAppLogo);
    const carbonioWebUiDarkAppLogo = (0, store_1.useLoginConfigStore)((s) => s.carbonioWebUiDarkAppLogo);
    const { darkModeEnabled } = (0, use_dark_mode_1.useDarkMode)();
    return (0, react_1.useMemo)(() => {
        if (darkModeEnabled) {
            return carbonioWebUiDarkAppLogo ?? carbonioWebUiAppLogo ?? carbonio_svg_1.default;
        }
        return carbonioWebUiAppLogo ?? carbonioWebUiDarkAppLogo ?? carbonio_svg_1.default;
    }, [carbonioWebUiDarkAppLogo, carbonioWebUiAppLogo, darkModeEnabled]);
}
/**
 * Hook useful to know if is Carbonio CE or not
 */
function useIsCarbonioCE() {
    return (0, store_1.useLoginConfigStore)((state) => state.isCarbonioCE);
}
//# sourceMappingURL=hooks.js.map