import type { NoOpResponse } from '../../network/fetch';
import type { AccountSettings } from '../../types/account';
import type { RawSoapResponse } from '../../types/network';
export declare const parsePollingInterval: (settings: AccountSettings) => number;
/**
 * Return the polling interval for the next NoOp request.
 * The interval length depends on the user settings, but it can be
 * overridden by the server response/errors
 */
export declare const getPollingInterval: (res: RawSoapResponse<{
    NoOpResponse?: NoOpResponse;
}>) => number;
