import React from 'react';
import type { DropdownItem } from '@zextras/carbonio-design-system';
import type { UtilityView } from '../types/apps';
import type { Action } from '../types/integrations';
export interface UtilityBarItemProps {
    view: UtilityView;
}
/**
 * Interface representing an account menu action.
 *
 * This interface extends the `Action` interface and omits the `label` and `onClick` properties
 * from the `DropdownItem` interface. It includes an `execute` function and a `position` property.
 *
 */
export interface AccountMenuAction extends Action, Omit<DropdownItem, 'label' | 'onClick'> {
    execute: NonNullable<DropdownItem['onClick']>;
    position: number;
}
export declare const ShellUtilityBar: () => React.JSX.Element;
