"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useUtilityBarStore = void 0;
/*
 * SPDX-FileCopyrightText: 2022 Zextras <https://www.zextras.com>
 *
 * SPDX-License-Identifier: AGPL-3.0-only
 */
const zustand_1 = require("zustand");
// extra currying as suggested in https://github.com/pmndrs/zustand/blob/main/docs/guides/typescript.md#basic-usage
exports.useUtilityBarStore = (0, zustand_1.create)()((set) => ({
    mode: 'closed',
    current: undefined,
    secondaryBarState: true,
    setMode: (mode) => set((s) => ({ mode, secondaryBarState: mode === 'open' ? false : s.secondaryBarState })),
    setCurrent: (current) => set({ current }),
    setSecondaryBarState: (secondaryBarState) => set({ secondaryBarState })
}));
//# sourceMappingURL=store.js.map