import type { CSSProperties } from 'react';
export type ElementPosition = {
    top: number;
    left: number;
};
export type ElementSize = {
    width: number;
    height: number;
};
export type SizeAndPosition = ElementPosition & ElementSize;
export declare function setGlobalCursor(cursor: CSSProperties['cursor']): void;
export declare function setElementSizeAndPosition(element: HTMLElement, key: keyof SizeAndPosition, value: number | undefined): void;
export declare function createExportForTestOnly<TObj extends Record<string, unknown>>(objToExport: TObj): {
    [K in keyof TObj]: TObj[K] | undefined;
};
export declare const getCurrentLocationHost: () => string;
